curl --request GET \
--url https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"name": "Example Company",
"full_name": "Example Company LTDA",
"document_number": "16525269000121",
"document_type": "CNPJ",
"contact": {
"first_name": "John",
"last_name": "Silva",
"phone": "+551199999999",
"email": "[email protected]",
"mother_name": "Maria Silva",
"birth_date": "15-08-1990",
"document_number": "81146431023",
"politically_exposed": false,
"declared_income": 5000,
"occupation": "SOFTWARE_DEVELOPER",
"net_worth": 50000,
"role": "PARTNER",
"address": {
"street": "Contact Street",
"street_number": "456",
"complement": "Apt 201",
"neighborhood": "Contact Neighborhood",
"zipcode": "87654321",
"country": "076",
"state": "RJ",
"city": "Rio de Janeiro"
}
},
"status": "ACTIVE",
"address": {
"street": "Example Street",
"street_number": "123",
"complement": "Suite 101",
"neighborhood": "Downtown",
"zipcode": "12345678",
"country": "076",
"state": "SP",
"city": "São Paulo"
},
"transfer_configurations": {
"automatic_transfer_enabled": true,
"transfer_frequency": "DAILY",
"rail": "PIX",
"utc_hour_of_day": 12,
"day_of_week": 1,
"day_of_month": 1,
"min_balance": 1000
},
"created_at": "2023-01-01T00:00:00Z",
"updated_at": "2023-01-01T00:00:00Z",
"document_tax_type": "PJ",
"company_logo_url": "https://example.com/logo.png",
"website_url": "https://example.com",
"webhook_enabled": false,
"kyc_enabled": false,
"declared_revenue": 50000
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Get merchant by ID
Requires the merchant.company.view permission.
Returns a specific merchant by its ID. The merchant must belong to the authenticated organization.
Authorizations
Company API key for authentication
Path Parameters
Merchant ID
Response
Merchant details
Transformed company data returned by the API
"a3dbd0c2-9f79-4f86-8caa-47779b3f2793"
"Example Company"
"Example Company LTDA"
CPF (11 digits) or CNPJ (14 characters). CNPJ may be numeric or alphanumeric (IN RFB 2229/2024): first 12 positions are [A-Z0-9], last 2 are numeric check digits. Formatting is stripped and letters are uppercased on input.
"16525269000121"
CNPJ, CPF "CNPJ"
Show child attributes
Show child attributes
PENDING_ACTIVATION, ACTIVE, INACTIVE, BLOCKED "ACTIVE"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"2023-01-01T00:00:00Z"
"2023-01-01T00:00:00Z"
Document tax type:
- PF: Pessoa Física (Individual) - for CPF companies
- PJ: Pessoa Jurídica (Legal Entity) - for CNPJ companies
- MEI: Microempreendedor Individual - for CNPJ companies
- ME: Microempresa (Micro Enterprise) - for CNPJ companies
PJ, MEI, ME, PF "PJ"
"https://example.com/logo.png"
"https://example.com"
Whether webhooks are enabled for this company
false
Whether the organization's merchants undergo KYC. Managed by Rinne staff. Null on merchant responses.
false
Annual revenue in whole reais (BRL) for Banco Central compliance (Circular 3.978/2020)
x >= 050000

